Subject: Re: [PATCH 3/3] notes: don't indent empty lines

From: Junio C Hamano <[email-masked]>
Date: Mon, 30 Aug 2021 10:10:03 -0700

Eric Sunshine <[email-masked]> writes:

> Like other Git commands, `git notes` takes care to call `stripspace` on
> the user-supplied note content, thereby ensuring that it has no trailing
> whitespace, among other cleanups. However, when notes are inserted into
> a patch via `git format-patch --notes`, all lines of the note are
> indented unconditionally, including empty lines, which leaves trailing
> whitespace on lines which previously were empty, thus negating the
> normalization done earlier. Fix this shortcoming.

Playing the devil's advocate, it can be argued that using the same
leading whitespace on a paragraph break line is actually a good
thing.  Leaving them in would give the consumer an easy way to see
which part was inserted from a note.